aboutsummaryrefslogtreecommitdiff
path: root/make-sdist.sh
diff options
context:
space:
mode:
authorSimon Marlow <simonmar@microsoft.com>2007-12-20 10:43:04 +0000
committerSimon Marlow <simonmar@microsoft.com>2007-12-20 10:43:04 +0000
commitbd46e046ca63125de7f9926b37e03a8e6ddba227 (patch)
tree877ab8737bd25fc91adc039c167fd2a7067f35ca /make-sdist.sh
parent6b993ddc068543347ae3fc387d82ad07fa520f0f (diff)
add build scripts
Diffstat (limited to 'make-sdist.sh')
-rw-r--r--make-sdist.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/make-sdist.sh b/make-sdist.sh
new file mode 100644
index 00000000..19bc599d
--- /dev/null
+++ b/make-sdist.sh
@@ -0,0 +1,34 @@
+# Put the Happy-generated .hs files in the right place in the source dist.
+set -e
+rm -f dist/haddock-*.tar.gz
+rm -rf dist/haddock-*/
+./Setup sdist
+cd dist
+tar xvzf haddock-*.tar.gz
+cd haddock-*/
+mkdir dist
+mkdir dist/build
+mv haddock dist/build
+cd ..
+tar cvzf haddock-*.tar.gz haddock-*/
+
+# Steps for doing a release:
+# * Source:
+# - do the above
+# - upload the dist to haskell.org:haddock/dist/${version}
+# - scp CHANGES haskell.org:haddock/CHANGES.txt
+# * Binaries:
+# - build the Windows binary zip (see build-windows-dist.sh)
+# - scp haddock-<version>-Win32.zip haskell.org:haddock/dist
+# * Documentation:
+# - cd doc
+# - make html
+# - mv haddock haddock-html
+# - tar cvzf haddock-doc-html-${version}.tar.gz haddock-html
+# - scp haddock-doc-html-${version}.tar.gz haskell.org:haddock/doc
+# - ssh haskell.org
+# - cd haddock/doc
+# - tar xvzf haddock-doc-html-${version}.tar.gz
+# - rm -rf html-OLD
+# - mv html html-OLD && mv haddock-html html
+# * Update the web page (~/darcs/www/haddock/index.html), and push it